(*============================================================================
  ApoCompat.PAS
  Misc. functions required for backwards compatiblity

  Copyright 1999-2002 Vista Software
  Last Updated: 10-22-2002

  NOTE: Tab stops were set at 2 spaces during development of this unit. If you
        are using a tab stop setting other than 2 spaces, the code indents
        may not line up accurately in your editor.
============================================================================
*)
unit ApoCompat;

interface

procedure FreeAndNil(var Obj);

implementation

procedure FreeAndNil(var Obj);
var
  P: TObject;
begin
  P := TObject(Obj);
  TObject(Obj) := nil;  // clear the reference before destroying the object
  P.Free;
end;

end.
 